<template>
	<StackLayout class="fab-button" @tap="onButtonTap" >
		<GridLayout rows="1, auto" horizontalAlignment="center" class="fab-icon" :class="buttonAnimation">
			<Label row="1" class="fas" fontSize="16" verticalAlignment="center" horizontalAlignment="center"
                    iosOverflowSafeArea="false" :text="icon | fonticon" />
			<!-- <Label row="1" class="fab-dash--1" /> -->
			<!-- <Label row="1" class="fab-dash--2" /> -->
		</GridLayout>
	</StackLayout>
</template>


<script>
	export default {
    props: {
        isActive: Boolean
    },
    computed: {
        buttonAnimation() {
            return this.isActive ? "iconActive" : "iconIdle"
        },
        icon() {
          return this.isActive ? 'fa-sort-amount-down' : 'fa-sort-amount-up'
        }
    },    
    methods: {
      onButtonTap() {
          // this.isActive = !this.isActive 
          this.$emit('fabTapped')

      },
      onButtonTouch(args) {
        console.log('touched')
        this.$emit('onButtonTouch', args)
      }
    }
}

</script>

<style scoped>
	.fab-button {
		width: 56;
		height: 56;
		background-color: #f0d641;
		border-radius: 28;
		vertical-align: center;
	}

	.fab-icon {
		height: 16;
		width: 16;
	}

	.fab-dash--1,
	.fab-dash--2 {
		background-color: #fff;
		transform: translate(0, -2);
		height: 16;
		width: 3;
	}

	.fab-dash--1 {
		transform: rotate(90deg) translate(0, -2);
	}

	.iconActive {
		animation-name: iconActive;
		animation-duration: .25;
		animation-timing-function: cubic-bezier(0.165, 0.840, 0.440, 1.000);
		animation-fill-mode: forwards;
	}

	.iconIdle {
		animation-name: iconActive;
		animation-duration: .25;
		animation-timing-function: ease-out;
		animation-fill-mode: forwards;
		animation-direction: reverse;
	}

	@keyframes iconActive {
		from {
			transform: rotate(0deg);
		}
		to {
			transform: rotate(360deg);
		}
	}
</style>